> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticket_selection_freetextsearch

> Provider for selecting Ticket Selection or a Ticket. Does keyword matching and scoring. Searches selection table and ticket table.

## "ticket\_selection\_freetextsearch" MDO List

Provider for selecting Ticket Selection or a Ticket.
Does keyword matching and scoring. Searches selection table and ticket table.

User's own selections, recently added + modified selections, selections modified or created by user.
Matches on word boundaries or at start of field are scored extra highly.

Returns selection and ticket items:
Selection: Id = selection-id, Name = Selection name, Type = "Selection", IconHint="selection", ExtraInfo= static/dynamic
Ticket: Id = ticket-id, Name = Ticket title, Type = "Ticket", IconHint="ticket", ExtraInfo=

Completed/Done selections are marked with stylehint = "deleted\_item" (but item.deleted = false)

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketSelectionListFreetextProvider">TicketSelectionListFreetextProvider</see> class.
The name of the MDO list is 'ticket\_selection\_freetextsearch'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticket_selection_freetextsearch
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticket_selection_freetextsearch", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "ticket\_selection\_freetextsearchheadings"
* "ticket\_selection\_freetextsearchheadingswithallitem"
* "ticket\_selection\_freetextsearchheadingswithallitemwithnoselection"
* "ticket\_selection\_freetextsearchheadingswithnoselection"
* "ticket\_selection\_freetextsearchwithallitem"
* "ticket\_selection\_freetextsearchwithallitemwithnoselection"
* "ticket\_selection\_freetextsearchwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [selection_freetextsearch](/en/api/mdo-providers/reference/selection_freetextsearch.md)
- [ticket_freetextsearch](/en/api/mdo-providers/reference/ticket_freetextsearch.md)
- [TicketSelection](/en/api/archive-providers/reference/ticketselection.md)
- [TicketDynamicSelection](/en/api/archive-providers/reference/ticketdynamicselection.md)
- [TicketSelectionV2](/en/api/archive-providers/reference/ticketselectionv2.md)
